-- colon before variable: for a prepared statement using named placeholders, this will be a parameter name of the form :name
DROP SCHEMA IF EXISTS :schema CASCADE;

CREATE SCHEMA IF NOT EXISTS :schema;
SET search_path to :schema, public;

DROP TABLE IF EXISTS stops;

CREATE TABLE IF NOT EXISTS stops
(
stop_seq_no BIGSERIAL,
stop_type VARCHAR(7),
stop_dhid VARCHAR(63),
stop_parent VARCHAR(31),
stop_name TEXT,
stop_lat DOUBLE PRECISION,
stop_lon DOUBLE PRECISION,
stop_municipality_code VARCHAR(15),
stop_municipality VARCHAR(63),
stop_district_code VARCHAR(15),
stop_district VARCHAR(31),
stop_condition VARCHAR(31),
stop_state VARCHAR(31),
stop_description TEXT,
stop_authority TEXT,
stop_delfi_name VARCHAR(31),
stop_tariff_dhid VARCHAR(31),
stop_tariff_name TEXT
);
